parameters:
    pim_user.updater.user.class:  Akeneo\UserManagement\Component\Updater\UserUpdater
    pim_user.updater.group.class: Akeneo\UserManagement\Component\Updater\GroupUpdater
    pim_user.updater.role.class:  Akeneo\UserManagement\Component\Updater\RoleUpdater

services:
    pim_user.updater.user:
        class: '%pim_user.updater.user.class%'
        arguments:
            - '@pim_user.manager'
            - '@pim_catalog.repository.category'
            - '@pim_catalog.repository.locale'
            - '@pim_catalog.repository.channel'
            - '@pim_user.repository.role'
            - '@pim_user.repository.group'
            - '@pim_datagrid.repository.datagrid_view'
            - '@akeneo_file_storage.repository.file_info'
            - '@akeneo_file_storage.file_storage.file.file_storer'
            - '/tmp/pim/file_storage'

    pim_user.updater.group:
        class: '%pim_user.updater.group.class%'

    pim_user.updater.role:
        class: '%pim_user.updater.role.class%'

    pim_user.updater.role_with_permissions:
        class: 'Akeneo\UserManagement\Component\Updater\RoleWithPermissionsUpdater'
        arguments:
            - '@pim_user.updater.role'
            - '@oro_security.acl.manager'
